Subject: bug#78637: 30.1.90; Calling setopt during init loads cus-start over and over

From: Po Lu <[email-masked]>
Date: Thu, 26 Jun 2025 00:15:47 +0800

Po Lu <[email-masked]> writes:

> These changes prevented standard variables from being initialized on
> Android, which was detected by my automated testing system and which
> I've attempted to address specifically for that system, but I get the
> impression that Stefan's solution also produces the very same issues
> on configurations --with-dumping=none.  Hence the correct solution
> lies elsewhere.
>
> I'm sorry I can't be of more assistance, but my hands are too full at
> the present.

I should also clarify that Android builds are dumped with `dump-mode'
set to nil, during the first startup after initialization, because the
session where the dumping is conducted subsequently becomes an ordinary
user session.  (As this is the only opportunity for dumping on Android,
where no facilities exist for running code during package installation
or at build time, as Emacs is cross-compiled into a shared object.)